summaryrefslogtreecommitdiff
path: root/configs/releng-openrc/airootfs/etc/local.d/etc-pacman.d-gnupg.start
diff options
context:
space:
mode:
authorDavid P <megver83@parabola.nu>2020-08-26 16:18:05 -0400
committerDavid P <megver83@parabola.nu>2020-08-26 16:27:37 -0400
commit0d5c488921e1911a5ebaf5d1a9ac3eeb1e72b188 (patch)
treef9c52ed87dec3e5a2b61bac3178d3a989ce31d84 /configs/releng-openrc/airootfs/etc/local.d/etc-pacman.d-gnupg.start
parentebbfe24e975da3783b85ab3f2e4a4c8227a3b9ea (diff)
[openrc] airootfs: add/modify scripts to emulate its systemd counterparts, better than beforev47.1
New: * add choose-mirror to openrc profiles * add choose-mirror.start and etc-pacman.d-gnupg.start to openrc profiles * enable haveged in openrc profiles Fixed: * read the kernel cmdline in reflector NM dispatcher script and pacman-init.start * talkingparabola: a little improvement in .zlogin, discovered by shellcheck * Makefile: add talkingparabola's choose-mirror to the shellcheck'ed files Signed-off-by: David P <megver83@parabola.nu>
Diffstat (limited to 'configs/releng-openrc/airootfs/etc/local.d/etc-pacman.d-gnupg.start')
-rwxr-xr-xconfigs/releng-openrc/airootfs/etc/local.d/etc-pacman.d-gnupg.start11
1 files changed, 11 insertions, 0 deletions
diff --git a/configs/releng-openrc/airootfs/etc/local.d/etc-pacman.d-gnupg.start b/configs/releng-openrc/airootfs/etc/local.d/etc-pacman.d-gnupg.start
new file mode 100755
index 0000000..f705ece
--- /dev/null
+++ b/configs/releng-openrc/airootfs/etc/local.d/etc-pacman.d-gnupg.start
@@ -0,0 +1,11 @@
+#!/bin/bash
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+# Temporary /etc/pacman.d/gnupg directory
+fstype="$(findmnt /etc/pacman.d/gnupg -o FSTYPE -Un)"
+
+test -d /etc/pacman.d/gnupg || mkdir /etc/pacman.d/gnupg
+if ! [[ "$fstype" == tmpfs ]]; then
+ mount -o mode=0755 -t tmpfs tmpfs /etc/pacman.d/gnupg
+fi